Next: Link Options, Previous: Debugging Options, Up: Invoking GNU Fortran

### 2.6 Options for directory search

These options affect how GNU Fortran searches for files specified by the `INCLUDE` directive and where it searches for previously compiled modules.

It also affects the search paths used by `cpp` when used to preprocess Fortran source.

`-I` dir
  These affect interpretation of the `INCLUDE` directive (as well as of the `#include` directive of the `cpp` preprocessor).

  Also note that the general behavior of `-I` and `INCLUDE` is pretty much the same as of `-I` with `#include` in the `cpp` preprocessor, with regard to looking for `header.gcc` files and other such things.

  This path is also used to search for `.mod` files when previously compiled modules are required by a `USE` statement.

  See Options for Directory Search, for information on the `-I` option.

`-J` dir
  This option specifies where to put `.mod` files for compiled modules. It is also added to the list of directories to searched by an `USE` statement.

  The default is the current directory.

`-fintrinsic-modules-path` dir
  This option specifies the location of pre-compiled intrinsic modules, if they are not in the default location expected by the compiler.